@echo OFF

rem #############################################################################
rem #
rem #
rem #  @(#)04 1.5 tklm/ws/code/tklm.payload/uninstaller/removeDB2Inst.bat, TKLM, tklmv3.tklm 4/17/13 06:34:22
rem # ===========================================================================
rem # Licensed Materials - Property of IBM
rem #
rem # 5724-T60 5608-A91
rem # (C) Copyright IBM Corp. 2008, 2009  All Rights Reserved
rem #
rem # US Government Users Restricted Rights - Use, duplication, or
rem # disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem #  ===========================================================================
rem # 
rem #############################################################################

:: Keep variables local
SETLOCAL
SET INSTANCE_NAME=
SET DB_NAME=
SET DB_DIR=
SET SCRIPTS_DIR=
SET DB2_ADMIN

REM :again
REM set /p user=You will lose the database instance and all data in it when you run this batch file, are you sure you want to continue? (yes/no)     
REM if /i [%user%]==[yes] endlocal&goto delete
REM if [%user%]==[] goto again
REM endlocal
goto delete
:delete

set TKLMTEMP=%SYSTEMDRIVE%\sklm27properties

if not exist %TKLMTEMP%\db2srcit.txt goto noconfig

for /f "tokens=1,2,3 delims==" %%a in (%TKLMTEMP%\db2srcit.txt) do (
  
  if "%%a"=="DB2INSTANCE" set INSTANCE_NAME=%%b
  if "%%a"=="DB2DBNAME" set DB_NAME=%%b
  if "%%a"=="DB2INSTALLDIR" set DB_DIR=%%b
  if "%%a"=="SCRIPTS_DIR" set SCRIPTS_DIR=%%b
  if "%%a"=="DB2ADMIN" set DB2_ADMIN=%%b
  
  )
  
:remove
echo DB2 instance %INSTANCE_NAME% >> %TKLMTEMP%\removeDB2Inst.output.txt
echo DB2 name %DB_NAME% >> %TKLMTEMP%\removeDB2Inst.output.txt
echo DB2 install directory  %DB_DIR% >> %TKLMTEMP%\removeDB2Inst.output.txt
echo DB2 administrator user  %DB2_ADMIN% >> %TKLMTEMP%\removeDB2Inst.output.txt
echo Removing database instance... >> %TKLMTEMP%\removeDB2Inst.output.txt

%DB_DIR%\bin\db2cmd.exe /w /c /i %SCRIPTS_DIR%\db2rm.bat %INSTANCE_NAME% %DB_NAME% >> %TKLMTEMP%\removeDB2Inst.output.txt
%SCRIPTS_DIR%\rmServicesEntry.vbs DB2_%INSTANCE_NAME% >> %TKLMTEMP%\removeDB2Inst.output.txt
@echo Removing user %DB2_ADMIN% >> %TKLMTEMP%\removeDB2Inst.output.txt
net user %DB2_ADMIN% /del >> %TKLMTEMP%\removeDB2Inst.output.txt
if exist "%PROGRAMFILES%\IBM\IBM SSH Server" call rmdir  /s /q  "%PROGRAMFILES%\IBM\IBM SSH Server"  >> %TKLMTEMP%\removeDB2Inst.output.txt
@echo Uninstall DB2 instance is complete. You can look at %TKLMTEMP%\removeDB2Inst.output.txt for more information

goto  end

:nodelete
@echo Uninstall is cancelled
goto end

:noconfig
if [%1]==[] goto usage
if [%2]==[] goto usage
if [%3]==[] goto usage
set DB_DIR=%1
rem remove the double quote
set DB_DIR=%DB_DIR:"=%
set INSTANCE_NAME=%2
set DB_NAME=%3
set DB2_ADMIN=%4
goto remove

:usage
@echo Cannot find %TKLMTEMP%\db2crit.txt. The DB2 variables cannot be determined. Run this script again by specifying DB2 parameters
@echo Usage: removeDB2Inst DB2_HOME DB2_INST DB2_NAME SCRIPTS_DIR DB2_ADMIN
@echo        where
@echo        DB2_HOME is the directory where DB2 is installed, for example: "c:\program files\ibm\sqllib\" (OPTIONAL)
@echo        DB2_INST is the database instance administrator ID specified during the install (OPTIONAL)
@echo        DB2_NAME is the database name specified during the install (OPTIONAL)
@echo		 SCRIPTS_DIR is the directory where SKLM database configuration scripts reside. (OPTIONAL)
@echo		 DB2_ADMIN is the DB2 administrator user. (OPTIONAL)
      
goto end

:end
SET INSTANCE_NAME=
SET DB_NAME=
SET DB_DIR=
SET SCRIPTS_DIR=
SET DB2_ADMIN=

