@echo OFF

rem #############################################################################
rem #
rem #
rem #  @(#)65 1.4 tklm/ws/code/tklm.config/db/DB2Indexing.bat, TKLM-Install, tklmv3.tklm 5/21/14 06:56:51
rem # ===========================================================================
rem # Licensed Materials - Property of IBM
rem #
rem # 5724-T60 5608-A91
rem # (C) Copyright IBM Corp. 20014 All Rights Reserved
rem #
rem # US Government Users Restricted Rights - Use, duplication, or
rem # disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem #  ===========================================================================
rem # 
rem #############################################################################

:: Keep variables local
SETLOCAL
SET DB2_ADMIN=
SET DB2PASS=
SET DBNAME=


goto setup
   
:index

set DB2INSTANCE=SKMDB2 
db2 CONNECT TO %DBNAME% USER %DB2_ADMIN% USING %DB2PASS% >> %SystemDrive%\sklm27properties\DB2Indexing.output
db2 CREATE INDEX GRP_NAME_IDX ON KMT_GROUP(GROUPNAME) >>  %SystemDrive%\sklm27properties\DB2Indexing.output

:nodelete
goto end

:setup
if [%1]==[] goto usage
if [%2]==[] goto usage
if [%3]==[] goto usage
set DB2_ADMIN=%1
set DB2PASS=%2
set DBNAME=%3
goto index

:usage
	 
  @echo echo "usage: C:\Program Files (x86)\IBM\@DBHOMEFOLDER@/bin/db2cmd.exe  /c  /w /i C:/sklm27properties/scripts/DB2Indexing.bat DB2_ADMIN DB2_PASS DBNAME
  @echo	where
  @echo	DB2_ADMIN is the Database Instance Owner specified during the install
  @echo	DB2_PASS is the password of the database instance owner
  @echo	DBNAME is the name of the database default is SKLMDB27
goto end

:end
SET DB2_ADMIN=
SET DB2PASS=
SET DBNAME=




