-- use command db2 -td# -vf tklmsql-fp.db2


CREATE PROCEDURE ALTER_FP1_DB
BEGIN
-- add column CRYPTOGRAPHIC_ALGORITHM
IF NOT EXISTS(
select * from SYSIBM.syscolumns where tbname='KMT_KMIP_ATTR_CRYPTOPARAMS' and name='CRYPTOGRAPHIC_ALGORITHM'
)THEN
EXECUTE IMMEDIATE 'ALTER TABLE KMT_KMIP_ATTR_CRYPTOPARAMS ADD COLUMN CRYPTOGRAPHIC_ALGORITHM INTEGER';
END IF;

END
#

CALL ALTER_FP1_DB()
#

DROP PROCEDURE ALTER_FP1_DB
#

COMMIT
#